%global dropdir %(pkg-config libpcsclite --variable usbdropdir 2>/dev/null)

Name:             ccid
Version:          1.5.5
Release:          1
Summary:          Provide a generic USB CCID driver and ICCD
License:          LGPLv2+
URL:              https://ccid.apdu.fr/files/

Source0:          https://ccid.apdu.fr/files/ccid-%{version}.tar.bz2

BuildRequires:    perl-interpreter perl-Getopt-Long libusb1-devel gnupg2 gcc flex zlib-devel
BuildRequires:    pcsc-lite-devel >= 1.8.9
Requires(post):   systemd
Requires(postun): systemd
Requires:         pcsc-lite%{?_isa} >= 1.8.9
Provides:         pcsc-ifd-handler
Obsoletes:        pcsc-lite-ccid
Provides:         pcsc-lite-ccid

%description
This package provides the source code for a generic USB CCID (Chip/Smart Card
Interface Devices) driver and ICCD (Integrated Circuit(s) Card Devices).See the
USB CCID and ICCD specifications from the USB working group.

%prep
%autosetup -n ccid-%{version} -p1

%build
%configure --enable-twinserial
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT
cp -p src/openct/LICENSE LICENSE.openct

%post
/bin/systemctl try-restart pcscd.service &>/dev/null || :

%postun
/bin/systemctl try-restart pcscd.service &>/dev/null || :

%files
%doc AUTHORS ChangeLog README.md
%license COPYING LICENSE.openct
%{dropdir}/ifd-ccid.bundle/
%{dropdir}/serial/
%config(noreplace) %{_sysconfdir}/reader.conf.d/libccidtwin

%changelog
* Wed Feb 7 2024 yangyun <yangyun50@huawei.com> - 1.5.5-1
- update to 1.5.5 version
	- add support of readers (see README.md)
	- configure.ac: disable the use of --disabele-usbdropdir
	- parse: create output.bin file
	- udev: Disable USB-persist for CCID devices
	- configure: fail if flex is not found
	- some other minor improvments

* Sun Jan 29 2023 liusirui <liusirui@huawei.com> - 1.5.1-1
- update to 1.5.1 version

* Tue Nov 15 2022 liusirui <liusirui@huawei.com> - 1.5.0-1
- update to 1.5.0 version

* Thu Oct 20 2022 liusirui <liusirui@huawei.com> - 1.4.36-2
- backport some patches to fix some problems.

* Tue Nov 23 2021 Li Jinlin <lijinlin3@huawei.com> - 1.4.36-1
- update to 1.4.36 version

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 1.4.33-3
- DESC: delete -S git from %autosetup, and delete BuildRequires git

* Fri Oct 30 2020 Zhiqiang Liu <liuzhiqiang26@huawei.com> - 1.4.33-2
- backport some patches to fix some problems.

* Tue Jul 21 2020 Zhiqiang Liu <liuzhiqiang26@huawei.com> - 1.4.33-1
- update to 1.4.33 version

* Sun Jul 5 2020 Zhiqiang Liu <lzhq28@mail.ustc.edu.cn> - 1.4.29-5
- remove useless readme files.

* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.4.29-4
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:Repackage

* Sat Aug 31 2019 huangzheng <huangzheng22@huawei.com> - 1.4.29-3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:openEuler Debranding
